Subject: Re: [PATCH 1/2] improve netem reorder flexibility

From: Christian Samsel <[email-masked]>
Date: Fri, 18 Dec 2009 18:56:59 +0100

Am Freitag, 18. Dezember 2009 18:32:40 schrieb Stephen Hemminger:
> On Fri, 18 Dec 2009 14:18:37 +0100
> 
> Christian Samsel <[email-masked]> wrote:
> > This patch adds a new feature to netem: The newly introduced parameter
> > reorderdelay TIME is the time a reordered packet is delayed. It can be
> > used in a combination with delay TIME to enable netem to produce late
> > packets, which is not possible in the standard netem / iproute2. In the
> > standard version reordered packets are always sent immediately and
> > therefore are always early packets.
> 
> I like the idea but is it binary compatible with older kernels/ older
>  iproute2 utilities?
> 
Thats a good point. I will test it. So far i think it should work.